Take an animal off a run
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/animals/transports/{id}/animals/{animalId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/transports/{id}/animals/{animalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/transports/{id}/animals/{animalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"scheduled_date": "2023-12-25",
"origin": "<string>",
"destination": "<string>",
"status": "planning",
"legs": [
{
"id": "<string>",
"sequence": 123,
"from_place": "<string>",
"to_place": "<string>",
"driver_person_id": "<string>",
"depart_at": "<string>",
"arrive_at": "<string>",
"driver_name": "<string>",
"notes": "<string>"
}
],
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"status": "<string>",
"notes": "<string>"
}
],
"problems": [
{
"kind": "no_legs",
"sequence": 123,
"message": "<string>"
}
],
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Transports
Take an animal off a run
Takes an animal off the run. Answers 404 when it is not on it. Needs write on Animals.
DELETE
/
api
/
animals
/
transports
/
{id}
/
animals
/
{animalId}
Take an animal off a run
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/animals/transports/{id}/animals/{animalId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/transports/{id}/animals/{animalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/transports/{id}/animals/{animalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"scheduled_date": "2023-12-25",
"origin": "<string>",
"destination": "<string>",
"status": "planning",
"legs": [
{
"id": "<string>",
"sequence": 123,
"from_place": "<string>",
"to_place": "<string>",
"driver_person_id": "<string>",
"depart_at": "<string>",
"arrive_at": "<string>",
"driver_name": "<string>",
"notes": "<string>"
}
],
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"status": "<string>",
"notes": "<string>"
}
],
"problems": [
{
"kind": "no_legs",
"sequence": 123,
"message": "<string>"
}
],
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Response
The run, without the animal.
Available options:
planning, confirmed, in_progress, completed, cancelled In order.
Show child attributes
Show child attributes
The animals on the run, by name.
Show child attributes
Show child attributes
Every reason the run cannot be confirmed yet. Empty when it is ready.
Show child attributes
Show child attributes